// pages/home/home.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    current: 0,
    autoplay: true,
    duration: 500,
    interval: 3000,
    swiperList: [
      '/assets/sw-1.png',
      '/assets/sw-2.png',
    ],
    imageSrc: "/assets/sw-1.png",
    showModal:false,
    category:"",
    good:""

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  },
  uploadImage() {
    var _that = this;
    wx.chooseMedia({
      count: 1,
      sizeType: ['compressed'],
      sourceType: ['camera'],
      success: res => {
        try {
          let baseStr = wx.getFileSystemManager().readFileSync(res.tempFiles[0].tempFilePath, 'base64')
          // var info = JSON.parse(wx.getStorageSync('info'))
          // console.log(info)
          // var token = info.data.user
            // 上传文件
            wx.request({
              url: 'http://192.168.251.13:8091/park/upload_file_base64', // 上传接口地址
              method:'POST',
              data: {
                file: baseStr,
                username:'11111'
              },
              header: {
                'content-type': 'application/json' // 设置请求头为json格式
              },
              success(res) {
                const data = res.data;
                console.log(res)
                // 根据实际返回的数据格式处理返回结果
                if (data.successful) {
                  wx.showToast({
                    title: '上传成功！',
                    icon: 'success',
                    duration: 2000
                  });
                  _that.setData({
                    imageSrc: data.resultValue.ossUrl,
                    category: data.resultValue.result.body.data.elements[0].category,
                    good: data.resultValue.result.body.data.elements[0].rubbish,
                    showModal:true
                  })
                } else {
                  wx.showToast({
                    title: '上传失败，请重试！',
                    icon: 'none',
                    duration: 2000
                  });
                }
              },
              fail(err) {
                console.error('上传失败：', err);
                wx.showToast({
                  title: '上传失败，请重试！',
                  icon: 'none',
                  duration: 2000
                });
              }
            });
        } catch (e) {
          console.log(e)
          wx.showToast({
            title: '出错了~',
            icon: 'error'
          })
        }
      },
      fail: err => {
        console.log(err)
      }
    })
  },
  showDialog: function (e) {
    console.log(e.currentTarget.dataset)
  },
  hideModal: function(e){
    console.log('a')
    this.setData({
      showModal: false
    })
  }
})